drop table IF EXISTS filmek ;
drop table IF EXISTS szineszek;
drop table IF EXISTS cimkek;
drop table IF EXISTS kt_filmek_szineszek;
drop table IF EXISTS kt_filmek_cimkek;

create table filmek(
    azon integer primary key AUTO_INCREMENT,
    cim varchar(100),
    tartalom varchar(500),
    kiadva date,
    korhataros boolean,
    korhatar integer,
    ertekeles integer
);

create table szineszek(
    azon integer primary key AUTO_INCREMENT,
    nev varchar(100)
);

create table cimkek(
    azon integer primary key AUTO_INCREMENT,
    cimke varchar(20) unique
);

create table kt_filmek_szineszek(
    film_azon integer,
    szinesz_azon integer
);

create table kt_filmek_cimkek(
    film_azon integer,
    cimke_azon integer
);


